RDKit: ForceFields::MMFF::NonbondedContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ForceFields::MMFF::NonbondedContrib Class Reference

combined vdW and charge terms for MMFF More...

`#include <Nonbonded.h>`

Inheritance diagram for ForceFields::MMFF::NonbondedContrib:

## Public Member Functions
| NonbondedContrib ()
| NonbondedContrib (ForceField *owner)
void | addTerm (unsigned int idx1, unsigned int idx2, const MMFFVdWRijstarEps *mmffVdWConstants, bool includeCharge, double chargeTerm, std::uint8_t dielModel, bool is1_4)
| Track a new VdW pair.
double | getEnergy (double *pos) const override
| returns our contribution to the energy of a position
void | getGrad (double *pos, double *grad) const override
| calculates our contribution to the gradients of a position
NonbondedContrib * | copy () const override
| return a copy
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

combined vdW and charge terms for MMFF

Definition at line 22 of file MMFF/Nonbonded.h.

## Constructor & Destructor Documentation

## ◆ NonbondedContrib() [1/2]

ForceFields::MMFF::NonbondedContrib::NonbondedContrib | ( |  | ) |
| inline

Definition at line 24 of file MMFF/Nonbonded.h.

Referenced by copy().

## ◆ NonbondedContrib() [2/2]

ForceFields::MMFF::NonbondedContrib::NonbondedContrib | ( | ForceField * | owner | ) |

References ForceFields::ForceFieldContrib::ForceField.

## Member Function Documentation

## ◆ addTerm()

void ForceFields::MMFF::NonbondedContrib::addTerm | ( | unsigned int | idx1,
|  | unsigned int | idx2,
|  | const MMFFVdWRijstarEps * | mmffVdWConstants,
|  | bool | includeCharge,
|  | double | chargeTerm,
|  | std::uint8_t | dielModel,
|  | bool | is1_4 )

Track a new VdW pair.

## ◆ copy()

NonbondedContrib * ForceFields::MMFF::NonbondedContrib::copy | ( |  | ) | const
| inlineoverridevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 32 of file MMFF/Nonbonded.h.

References NonbondedContrib().

## ◆ getEnergy()

double ForceFields::MMFF::NonbondedContrib::getEnergy | ( | double * | pos | ) | const
| overridevirtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## ◆ getGrad()

void ForceFields::MMFF::NonbondedContrib::getGrad | ( | double * | pos,
|  | double * | grad ) const
| overridevirtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- MMFF/Nonbonded.h